#ifndef MATERIAL_H_
#define MATERIAL_H_

#include "vmath.h"

class Material {
public:
	Vector3 diffuse, specular;
	float roughness;
	float reflect, refract;
	float ior;

	Material()
		: diffuse(0.75, 0.75, 0.75), specular(1, 1, 1)
	{
		roughness = 1.0;
		reflect = refract = 0.0;
		ior = 1.0;
	}
};

#endif	// MATERIAL_H_
