#ifndef MODELLER_H_
#define MODELLER_H_

#include "screen.h"

struct ModellerImpl;

class Modeller : public Screen {
private:
	ModellerImpl *mod;

public:
	Modeller();
	~Modeller();

	bool init();
	void shutdown();

	void draw() const;

	void handle_keyboard(int key, bool press);
	void handle_mbutton(int bn, bool press, int x, int y);
	void handle_mmotion(int x, int y);
};

#endif	// MODELLER_H_
