#ifndef RENDERER_H_
#define RENDERER_H_

#include "screen.h"

struct RendererImpl;

class Renderer : public Screen {
private:
	RendererImpl *rend;

public:
	Renderer();

	bool init();
	void shutdown();

	void draw() const;

	void handle_keyboard(int key, bool press);

	void message(MsgAtom msg, ...);
};

#endif	// RENDERER_H_
