#ifndef SCREEN_MANAGER_H_
#define SCREEN_MANAGER_H_

#include "screen.h"

void add_screen(Screen *s);
Screen *get_screen(const char *name);

void destroy_screens();	// destroy all managed screens

// active screen stack
void activate_screen(Screen *s);
Screen *deactivate_screen();
Screen *active_screen();

#endif	// SCREEN_MANAGER_H_
